\section{Related work}
\label{sec:relatedwork}

Healthcare providers and government agencies can use computational approaches to understand better the needs and support decision-making regarding their healthcare services~\cite{al2015applications}. 
Electronic health, mobile health, and smart health are examples of initiatives to improve healthcare services~\cite{solanas2014smart} by increasing the data capture, processing power, storage capacity, and adoption of technologies\cite{yang2013smart, pfeiffer2015spatial}.

In particular, there are initiatives of data analytics and decision-support systems in the context of smart health. HealthMap, MediMap, VistaPHw, and TabNet are examples of them. HealthMap\footnote{\url{www.healthmap.org}}~\cite{brownstein2007healthmap} provides global monitoring of disease outbreak and real-time surveillance of emerging public health threats, delivering insights about a broad range of infectious diseases, such as Zika, Dengue, and Chikungunya. MediMap~\cite{lavravc2007data} uses descriptive data mining and data visualization methods to improve the knowledge and decision making of public health centers in Slovenia. VistaPHw~\cite{solet2006innovations} consists of a Web-based data query system that offers access to population-based data used in community health assessment in Washington state. These projects inspired the first prototype of our platform in its origin, in 2017.

A Brazilian initiative is the Conecta SUS\cite{concecta}, developed by the Zilda Arns Neumann Center for Strategic Information and Decision-Making in Health, from the State Health Secretariat of Goiás. It uses business intelligence and data warehousing to provide real-time (visual) information and historical analysis, different from our platform that is a web application specialized in the Hospital Information System (SIH-SUS). The Federal Brazilian government provides the SIH-SUS dataset via TabNet\footnote{\url{www2.datasus.gov.br/DATASUS/index.php?area=02}}, a tabulation and georeferencing system for public health data. TabNet processes the tabulated data published by the Ministry of Health, focusing on facilitating the calculation of health indicators.

\section{Hospital Information System dataset}
\label{sec:dataset}

The SUS Information Technology Department (DATASUS) of the Brazilian Ministry of Health organizes health data and provides free access. DATASUS developed about 200 different software systems to improve the digitalization of SUS data. The generated data is widely available through the DATASUS site\footnote{\url{https://datasus.saude.gov.br}}.

SIH-SUS is one of the systems developed by DATASUS. It is composed of data obtained by many filled forms from the country's health facilities. A piece of data becomes available on the SIH-SUS dataset within one month after it has been filled in. The SIH-SUS keeps data about 70\% of all hospitalizations of the country~\cite{Brasil:2005}. So, it is essential to assess the importance of SUS healthcare assistance and to plan precautionary measures. Its data provides public health managers with information that supports decision-making. For example, SIH-SUS data may show regions lacking public hospital beds or service in specific medical specialties.

The SIH-SUS dataset is composed of data from all over Brazil, collected in a decentralized manner by each Health Secretariat, and sent to the Brazilian Health Ministry. However, each secretariat can extract the data from the SIH-SUS dataset and complement it with some information to favor further analysis, and this change can make the structure of the local dataset subtly vary from one region to another. For example, our Health Secretariat partner preprocessed the SIH-SUS dataset removing the corrupted data, anonymizing the entire dataset, and inserting the geolocation (in terms of latitude and longitude) of the census tract centroid of the patient location (\textit{i.e.}, geo-anonymizing the patient location). Each hospitalization record at the SIH-SUS dataset contains information about the patient, the health facility where the patient was admitted, its location, the patient diagnosis, and other data. These data are inserted into the dataset through an Hospital Admission Authorization (AIH) form.

Since 1995, the SIH-SUS datasets retrieved more than 285 million hospitalization records according to the DATASUS TabNet system\footnote{\url{www2.datasus.gov.br/DATASUS/index.php?area=0202&id=11633}}. The preprocessed SIH-SUS dataset from our partner covers 554.202 hospitalization records of a city from January 2015 to December 2015. This large dataset was used to conduct several tests on the visualization platform presented in this paper.

Based on the preprocessed SIH-SUS dataset, we designed the platform architecture with two main models: \textit{Patient Data} and \textit{Hospitalization Data}.
\textit{Patient Data} model contains the patient anonymized data (age, gender, educational level, and others) and location, originating from the \textit{Location} model, which stores the name and the geographic data structure of the municipality subdivisions, such as subprefectures, administrative sectors, and census tracts. \textit{Hospitalization Data} model is composed of the hospitalization data (admission date, discharge date, hospitalization complexity, and others); the hospitalization diagnosis, represented by the \textit{Diagnosis} model, which is responsible for cataloging the ICD-10 categories, subcategories, groups, and chapters; the health facility data (number of beds, phone number, and others) obtained from the National Database on Health Units (SCNES) and the health facility location, represented by the \textit{Location} model.

